CC = gcc
CFLAGS = -g
ASFLAGS = -gstabs
AFLAGS = $(ASFLAGS)
LDFLAGS = 
LDLIBS = 

PROGRAM = binsearch


.PHONY: clean

$(PROGRAM): $(PROGRAM).o test.o
	gcc $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)

clean:
	rm -f *~
	rm -f *.o
	rm -f $(PROGRAM)

